<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HTML manual for administrators </title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
        integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/js/bootstrap.min.js"></script>
    <style>
        body {
            text-align: justify;
        }

        .idc-box {
            background: #f9f9f9 none repeat scroll 0 0;
            border: 1px solid #aaa;
            display: table;
            font-size: 95%;
            margin-bottom: 1em;
            padding: 20px;
            width: auto;
        }

        .idc-box .idc-titulo {
            font-weight: 700;
            text-align: center;
        }

        .idc-box li,
        .idc-box ul,
        .idc-box ul li {
            padding: 0 5px;
            list-style: outside none none !important;
        }

        .note,
        .admonition,
        .help-block {
            background: #F1FFF7;
            padding: 15px 20px 15px 70px;
            border: 1px solid #C9F0DD;
            border-radius: 4px;
            margin: 25px 0;
            position: relative;
        }
    </style>
</head>

<body>
    <div class="container">


        <div class="idc-box">
            <p class="idc-titulo">Contents</p>
            <ul class="idc-lista">
                <li><a href="#indice1">1. Introducing the Django Admin</a></li>
                <li><a href="#indice2">2. Creating an admin user</a></li>
                <li><a href="#indice3">3. Start the development server</a></li>
                <li><a href="#indice4">4. Enter the admin site</a></li>
                <li><a href="#indice5">5. Make the poll app modifiable in the admin</a></li>
                <li><a href="#indice6">6. Explore the free admin functionality</a> </li>
                <li><a href="#indice7">7. References </a></li>
            </ul>
        </div>
        <h5><a href="/" > <span class="glyphicon glyphicon-circle-arrow-left"> Go Back</span></a></h5>
        <hr>
        <section id="indice1">
            <h3>Introducing the Django Admin</h3>
            <div class="admonition-philosophy admonition">
                <p class="first admonition-title">Philosophy</p>
                <p>Generating admin sites for your staff or clients to add, change, and delete
                    content is tedious work that doesn’t require much creativity. For that
                    reason, Django entirely automates creation of admin interfaces for models.</p>
                <p>Django was written in a newsroom environment, with a very clear separation
                    between “content publishers” and the “public” site. Site managers use the
                    system to add news stories, events, sports scores, etc., and that content is
                    displayed on the public site. Django solves the problem of creating a
                    unified interface for site administrators to edit content.</p>
                <p class="last">The admin isn’t intended to be used by site visitors. It’s for site
                    managers.</p>
            </div>

        </section>
        <hr>
        <section id="indice2">
            <h3>Creating an admin user</h3>
            <p>We’ll need to create a user who can login to the admin site. Run the following command:</p>

            <pre>
        <span class="gp">$</span> python manage.py createsuperuser
        </pre>
            <p>Enter your desired username and press enter.</p>
            <pre>
        Username: admin
        </pre>
            <p>You will then be prompted for your desired email address:</p>
            <pre>
        Email address: admin@example.com
        </pre>
            <p>The final step is to enter your password. You will be asked to enter your password twice, the second time
                as
                a confirmation of the first.</p>
            <pre>
        Password: **********
        Password (again): *********
        Superuser created successfully.
        </pre>
        </section>
        <hr>
        <section id="indice3">
            <h3>Start the development server</h3>
            <p>The Django admin site is activated by default. Let’s start the development server and explore it.</p>
            <p> If the server is not running start it like so:</p>
            <pre>
        <span class="gp">$</span> python manage.py runserver
        </pre>
            <p>
                Now, open a Web browser and go to “/admin/” on your local domain – e.g.,
                <a class="reference external" href="http://127.0.0.1:8000/admin/">http://127.0.0.1:8000/admin/</a>. You
                should see the admin’s login screen:

            </p>
            <img src="/proteins/templates/manuals/images/admin01.png" alt="Django admin login screen">
            <p>
                Since <a href="https://docs.djangoproject.com/en/3.0/topics/i18n/translation/">
                    <span class="doc">translation</span></a> is turned on by default, if
                you set <a href="https://docs.djangoproject.com/en/3.0/ref/settings/#std:setting-LANGUAGE_CODE"><code
                        class="xref std std-setting docutils literal notranslate">
                    <span class="pre">LANGUAGE_CODE</span></code></a>,
                the login screen will be displayed in the
                given language (if Django has appropriate translations).
            </p>

        </section>
        <hr>
        <section id="indice4">
            <h3> Enter the admin site</h3>
            <p> Now, try logging in with the superuser account you created in the previous step. You should see the
                Django
                admin index page:</p>
            <img src="/proteins/templates/manuals/images/adminloged.png" alt="Django admin index page">
            <p>You should see a few types of editable content: groups and users. They are provided by
                django.contrib.auth,
                the authentication framework shipped by Django.</p>

        </section>
        <hr>
        <section id="indice5">
            <h3>Make the proteins app modifiable in the admin</h3>
            <p>We need to tell the admin that proteins objects have an admin interface. To do this, open the
                proteins/admin.py
                file, and edit it to look like this:</p>

            <img src="/proteins/templates/manuals/images/admin03.png" alt="Proteins in admin.py">
        </section>
        <hr>
        <section id="indice6">
            <h3>Explore the free admin functionality</h3>
            <p>Now that we’ve registered Proteins, Django knows that it should be displayed on the admin index page:
            </p>
            <img src="/proteins/templates/manuals/images/adminloged.png" alt="Django admin index page">
            <p>
                Click “Proteins”. Now you’re at the “change list” page for proteins. This page displays all the proteins
                in the database and lets you choose one to change it.
            </p>
            <img src="/proteins/templates/manuals/images/search.png" style="width: -moz-available;" alt="Proteins DB">
            <p>Click the “P27348” question to edit it:</p>

            <img src="/proteins/templates/manuals/images/change.png" alt="Change protein" style="width: -moz-available;">
            <div>
                <p>Things to note here:</p>
                <ul class="simple">
                    <li>The form is automatically generated from the <code
                            class="docutils literal notranslate"><span class="pre">Proteins</span></code> model.</li>
                    <li>The different model field types
                        (<a href="https://docs.djangoproject.com/en/3.0/ref/models/fields/#django.db.models.DateTimeField"
                            title="django.db.models.DateTimeField">
                            <code class="xref py py-class docutils literal notranslate">
                        <span class="pre">DateTimeField</span></code></a>,
                        <a class="reference internal"
                            href="https://docs.djangoproject.com/en/3.0/ref/models/fields/#django.db.models.CharField"
                            title="django.db.models.CharField"><code
                                class="xref py py-class docutils literal notranslate">
                    <span class="pre">CharField</span></code></a>)
                        correspond to the appropriate HTML
                        input widget. Each type of field knows how to display itself in the Django
                        admin.</li>
                    <li>Each <a class="reference internal"
                            href="https://docs.djangoproject.com/en/3.0/ref/models/fields/#django.db.models.DateTimeField"
                            title="django.db.models.DateTimeField"><code
                                class="xref py py-class docutils literal notranslate"><span class="pre">DateTimeField</span></code></a>
                        gets free JavaScript
                        shortcuts. Dates get a “Today” shortcut and calendar popup, and times get
                        a “Now” shortcut and a convenient popup that lists commonly entered times.</li>
                </ul>
                <p>The bottom part of the page gives you a couple of options:</p>
                <ul class="simple">
                    <li>Save – Saves changes and returns to the change-list page for this type of
                        object.</li>
                    <li>Save and continue editing – Saves changes and reloads the admin page for
                        this object.</li>
                    <li>Save and add another – Saves changes and loads a new, blank form for this
                        type of object.</li>
                    <li>Delete – Displays a delete confirmation page.</li>
                </ul>
                <p> “History” in the upper right.
                    You’ll see a page listing all changes made to this object via the Django admin,
                    with the timestamp and username of the person who made the change:</p>
                <img alt="History page for question object" src="/proteins/templates/manuals/images/history.png" style="width: -moz-available;">
            </div>
        </section>
        <hr>
        <section id="indice7">
            <h3> References: </h3>
            <ul>
                <li> <a href="https://docs.djangoproject.com/en/3.0/ref/contrib/admin/"> The Django admin site</a></li>
                <li>
                    <a href="https://docs.djangoproject.com/en/3.0/intro/tutorial02/#introducing-the-django-admin">Writing
                        your first Django app, part 2</a>
                </li>
            </ul>
        </section>
    </div>
</body>

</html>